Update integration connection
curl --request PUT \
--url https://api.blaxel.ai/v0/integrations/connections/{connectionName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"name": "my-resource",
"displayName": "My Resource",
"externalId": "my-session-123",
"labels": {}
},
"spec": {
"config": {},
"integration": "openai",
"sandbox": false,
"secret": {}
}
}
'import requests
url = "https://api.blaxel.ai/v0/integrations/connections/{connectionName}"
payload = {
"metadata": {
"name": "my-resource",
"displayName": "My Resource",
"externalId": "my-session-123",
"labels": {}
},
"spec": {
"config": {},
"integration": "openai",
"sandbox": False,
"secret": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
name: 'my-resource',
displayName: 'My Resource',
externalId: 'my-session-123',
labels: {}
},
spec: {config: {}, integration: 'openai', sandbox: false, secret: {}}
})
};
fetch('https://api.blaxel.ai/v0/integrations/connections/{connectionName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"name": "my-resource",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Resource",
"externalId": "my-session-123",
"labels": {},
"plan": "<string>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"config": {},
"integration": "openai",
"sandbox": false,
"secret": {}
}
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}integrations
Update integration connection
Updates an integration connection’s configuration or credentials. Changes take effect immediately for all resources using this connection.
PUT
/
integrations
/
connections
/
{connectionName}
Update integration connection
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
Unique name identifier of the integration connection
Body
application/json
Configured connection to an external service (LLM provider, API, SaaS, database) storing credentials and settings for use by workspace resources.
Response
successful operation
Configured connection to an external service (LLM provider, API, SaaS, database) storing credentials and settings for use by workspace resources.
Last modified on July 1, 2026
Was this page helpful?
⌘I
